/*

 SPC E0-EF Commands

*/

/* E0 */

SPC_CLRV:
    movw %bx,PC
    CLR_FLAG_SPC(SPC_FLAG_V)
    CLR_FLAG_SPC(SPC_FLAG_H)
    jmp SPC_BACK

/* E1 */

/* TCALL: Call through table in pageable 64-bytes of RAM */
SPC_TCALL_14:
    TCALL 14
    jmp SPC_BACK

/* E2 */

SPC_SET7:
    SPC_SET 7
    jmp SPC_BACK

/* E3 */

SPC_BBS7:
    SPC_BBS 7
    jmp SPC_BACK

/* E4 */

SPC_MOV_A_dp:
    SPC_MOV_A_ dp
    jmp SPC_BACK

/* E5 */

SPC_MOV_A_abs:
    SPC_MOV_A_ ABS
    jmp SPC_BACK

/* E6 */

SPC_MOV_A_OXO:
    SPC_MOV_A_ OXO
    jmp SPC_BACK

/* E7 */

SPC_MOV_A_OOdp_XOO:
    SPC_MOV_A_ OOdp_XOO
    jmp SPC_BACK

/* E8 */

SPC_MOV_A_IM:
    movw %bx,PC
    SPC_MOV_A_ IM
    jmp SPC_BACK

/* E9 */

SPC_MOV_X_abs:
    SPC_MOV_X_ ABS
    jmp SPC_BACK

/* EA */

SPC_NOT1:       // !mem.bit
    SPC_ADDR_membit     // %bx contains mem and %dx contains bit number
    GET_BYTE_SPC    // Get byte at location
    btcl %edx,%eax  // complement the bit
    SET_BYTE_SPC    // set byte
    jmp SPC_BACK

/* EB */

SPC_MOV_Y_dp:
    SPC_MOV_Y_ dp
    jmp SPC_BACK

/* EC */

SPC_MOV_Y_abs:
    SPC_MOV_Y_ ABS
    jmp SPC_BACK

/* ED */

SPC_NOTC:
    movw %bx,PC
    CPL_FLAG_SPC(SPC_FLAG_C)
    jmp SPC_BACK

/* EE */

SPC_POP_Y:
    movw %bx,PC
    POP_B
    movb %al,Y
    jmp SPC_BACK

/* EF */

SPC_SLEEP:
    movw %bx,PC
    decw PC
    jmp SPC_BACK            // What else can sleep do?
